public class MyLine{
	/**
	*the x component of the first point
	*/
	public double x1;
	/**
	*the y component of the first point
	*/
	public double y1;
	/**
	*the x component of the second point
	*/
	public double x2;
	/**
	the y component of the second point
	*/
	public double y2;
	
	
	/**
	*default constructor to put 0 values into each var
	*/
	public MyLine(){
		x1=0;
		x2=0;
		y1=0;
		y2=0;
	}
	/**
	*The constructor likely to be used Most often
	*/
	public MyLine(double x1, double y1, double x2, double y2){
		this.x1=x1;
		this.x2=x2;
		this.y1=y1;
		this.y2=y2;
	}
	/**
	*constructor that takes integer values
	*/
	public MyLine(int x1, int y1, int x2, int y2){
		this.x1=x1;
		this.x2=x2;
		this.y1=y1;
		this.y2=y2;
	}
	/**
	*constructor that uses relative co-ods
	*/
	public MyLine(double x1, double y1, double dx, double dy, boolean forward){
		this.x1=x1;
		this.y1=y1;
		if(forward){
			x2=x1+dx;
			y2=y1+dy;
		}
		else{
			x2=x1-dx;
			y2=y1-dy;
		}
	}
	/**
	*constructor with another MyLine Object
	*/
	public MyLine(MyLine another){
		this.x1=another.x1;
		this.x2=another.x2;
		this.y1=another.y1;
		this.y2=another.y2;
	}
	
}
		